# Uses of Interface
org.eclipse.ecf.core.sharedobject.ISharedObjectConnector

Packages that use ISharedObjectConnector
Package
Description
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.core.sharedobject.events
org.eclipse.ecf.provider.generic

## Uses of ISharedObjectConnector in org.eclipse.ecf.core.sharedobject

Methods in org.eclipse.ecf.core.sharedobject that return ISharedObjectConnector
Modifier and Type
Method
Description
`ISharedObjectConnector`
ISharedObjectManager.`connectSharedObjects(ID sharedObjectFrom, ID[] sharedObjectsTo)`
Create an ISharedObjectConnector instance for sending messages from a single ISharedObject to one or more receiver ISharedObjects.
Methods in org.eclipse.ecf.core.sharedobject with parameters of type ISharedObjectConnector
Modifier and Type
Method
Description
`void`
ISharedObjectManager.`disconnectSharedObjects(ISharedObjectConnector connector)`
Destroy an ISharedObjectConnector instance.

## Uses of ISharedObjectConnector in org.eclipse.ecf.core.sharedobject.events

Methods in org.eclipse.ecf.core.sharedobject.events that return ISharedObjectConnector
Modifier and Type
Method
Description
`ISharedObjectConnector`
ISharedObjectManagerConnectionEvent.`getConnector()`
Get the `ISharedObjectConnector` associated with this event
`ISharedObjectConnector`
SharedObjectManagerConnectEvent.`getConnector()`
`ISharedObjectConnector`
SharedObjectManagerDisconnectEvent.`getConnector()`
Constructors in org.eclipse.ecf.core.sharedobject.events with parameters of type ISharedObjectConnector
Modifier
Constructor
Description
``
`SharedObjectManagerConnectEvent(ID localContainerID, ISharedObjectConnector connector)`
``
`SharedObjectManagerDisconnectEvent(ID localContainerID, ISharedObjectConnector connector)`

## Uses of ISharedObjectConnector in org.eclipse.ecf.provider.generic

Classes in org.eclipse.ecf.provider.generic that implement ISharedObjectConnector
Modifier and Type
Class
Description
`class`
`SOConnector`
Methods in org.eclipse.ecf.provider.generic that return ISharedObjectConnector
Modifier and Type
Method
Description
`ISharedObjectConnector`
SOManager.`connectSharedObjects(ID sharedObjectFrom, ID[] sharedObjectsTo)`
Methods in org.eclipse.ecf.provider.generic with parameters of type ISharedObjectConnector
Modifier and Type
Method
Description
`protected void`
SOManager.`addConnector(ISharedObjectConnector conn)`
`void`
SOManager.`disconnectSharedObjects(ISharedObjectConnector connector)`
`protected boolean`
SOManager.`removeConnector(ISharedObjectConnector conn)`